[Libreoffice-bugs] [Bug 44498] All OpenDocument files created with LibO 3.4 or 3.5 are considered as invalid by Microsoft Office

bugzilla-daemon at freedesktop.org bugzilla-daemon at freedesktop.org
Sun Jan 8 23:44:33 PST 2012


https://bugs.freedesktop.org/show_bug.cgi?id=44498

Michael Stahl <mstahl at redhat.com> changed:

           What    |Removed                     |Added
----------------------------------------------------------------------------
             Status|NEW                         |RESOLVED
         Resolution|                            |NOTOURBUG
                 CC|                            |erack at redhat.com,
                   |                            |tbehrens at novell.com

--- Comment #17 from Michael Stahl <mstahl at redhat.com> 2012-01-09 07:44:33 UTC ---
thanks, very interesting that the difference that makes MS Office
consider the document invalid is the manifest:version.

in ODF 1.2, the root element of the manifest has an attribute
manifest:version, which is mandatory and must have the value "1.2".

in ODF 1.1, this attribute does not exist.

in other words, there is no way anybody can write ODF 1.2 files
that are both valid and non-objectionable to MS Office 2010.

thus, resolving NOTOURBUG.

-- 
Configure bugmail: https://bugs.freedesktop.org/userprefs.cgi?tab=email
------- You are receiving this mail because: -------
You are the assignee for the bug.


More information about the Libreoffice-bugs mailing list